---
title: Web Console UI Tour
slug: Tools/Web_Console/UI_Tour
tags:
  - Firefox
  - Tools
  - console
  - web console
---
<div>{{ToolsSidebar}}</div>

<p>The Web Console's interface is split into three horizontal sections, detailed in the sections below.</p>

<h2 id="Toolbar">Toolbar</h2>

<p>The toolbar across the top contains a number of features:</p>

<ul>
 <li>Garbage can: Click this icon to clear the contents of the console.</li>
 <li>Funnel: Click this icon to filter the messages that are displayed in the console.</li>
 <li>Filter categories: You can <a href="/en-US/docs/Tools/Web_Console/Console_messages#Filtering_by_category" title="#filtering-and-searching">click a filter category</a> (such as Errors, Warnings, CSS, or XHR) to display just those types of messages.</li>
 <li>Settings ("gear" menu): New in Firefox 71, you can click the gear icon to access the new settings menu, where you can toggle the following features on and off:
  <ul>
   <li><strong>Persist Logs</strong>: When enabled, the console doesn't clear on page reload, or new page load.</li>
   <li><strong>Show Timestamps</strong>: When enabled, timestamps are shown on the left-hand side of each message row to say when the messages were logged.</li>
   <li><strong>Group Similar Messages</strong>: When enabled, similar types of messages are grouped together, with an indicator of the number of occurrences.</li>
   <li><strong>Enable Autocompletion</strong>: When enabled, the JavaScript interpreter attempts to autocomplete while you type.</li>
   <li><strong>Instant Evaluation</strong>: When enabled, the interpreter displays the evaluated results of an expression, when possible, before you press <kbd>Enter</kbd> to submit it.</li>
  </ul>
 </li>
</ul>

<h2 id="Message_display_pane">Message display pane</h2>

<p>This is where the messages appear, both those generated by the code in the page, and those generated by the commands entered on the command line.</p>

<p>See <a href="/en-US/docs/Tools/Web_Console/Console_messages">Console messages</a> for a lot more detail on what the messages can contain.</p>

<div class="notecard note">
<p><strong>Note:</strong> You can clear the contents of the console by entering the keyboard command <kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>L</kbd> (Windows, macOS, and Linux) or <kbd>Cmd</kbd> + <kbd>K</kbd> on macOS.</p>
</div>

<h2 id="Command_line">Command line</h2>

<p>The <a href="/en-US/docs/Tools/Web_Console/The_command_line_interpreter" title="#command-line">command line</a> starts with double angle brackets (&gt;&gt;). Use it to enter JavaScript expressions.</p>

<p>In Firefox 71 onwards, there is a new "split pane" icon on the right hand side of the command line — clicking this will open the new console <a href="/en-US/docs/Tools/Web_Console/The_command_line_interpreter#Multi-line_mode">multi-line mode</a>.</p>
